{ pkgs
, lib
, config
, ... }: with lib; mkIf config.passthrough.gui {
  # cursor theme
  home.pointerCursor = {
    package = pkgs.bibata-cursors;
    name = "Bibata-Modern-Classic";
    size = 24;
  };

  # gtk theme
  gtk.theme = {
    package = pkgs.whitesur-gtk-theme;
    name = "WhiteSur-Dark";
  };

  # gtk icons
  gtk.iconTheme = {
    package = pkgs.whitesur-icon-theme;
    name = "WhiteSur-dark";
  };

  # unify qt theme
  qt.platformTheme = "gtk";

  gtk.enable = true;
  qt.enable = true;
}
